<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_3</title>
</head>
<body>
    <h1>Capitulo 5</h1>
    <a>Ejercicio 3</a>

    <script>

        const voltearBin = (b) => {
            if (~b === 0) {
                return 8 * sizeof(int);
            }

            let recorrer = 0, 
                  previo = 0,
                  maximo = 0;
            while ( b != 0) {
                if ((b & 1) === 1) {
                    recorrer++;
                } else if (( b & 1 ) === 0) {
                    previo = (b & 2) === 0
                        ? 0
                        : recorrer;
                    recorrer = 0;
                }

                maximo = Math.max(previo + recorrer, maximo);

                b >>= 1;
            }

            return maximo + 1;
        }
        
        console.log(`${voltearBin(1775)}, `);
        console.log(`${voltearBin(15)}, `);
    
        
    </script>
    
</body>
</html>